#!/bin/tcsh

set SOURCE=($_)
if ("$SOURCE" != "") then
    set DIR=`dirname "$SOURCE[2]"`
    set DIR=`cd $DIR; pwd`
else
    echo "This script must be sourced"
    exit 1
endif

echo 'Retrieving certificate tarball...'
which wget
if ( $status == 0 ) then
  echo 'Wget found...'
  wget https://dist.eugridpma.info/distribution/igtf/current/accredited/igtf-preinstalled-bundle-classic.tar.gz -P $DIR/
  if ($status > 0) then
    echo 'Failed to download certificate tarball!'
    exit 2
  endif
else
  which curl
  if ( $status == 0 ) then
    echo 'Curl found...'
    curl https://dist.eugridpma.info/distribution/igtf/current/accredited/igtf-preinstalled-bundle-classic.tar.gz > $DIR/certificates.tar.gz
    if ($status > 0) then
      echo 'Failed to curl certificate tarball!'
      exit 2
    endif
else
  else
    echo 'Neither wget nor curl found! Exit now.' 
    exit 1
  endif
endif

set BCKP=old-certs.tar.gz.`date +%s`
echo 'Removing old certificates... (to restore: tar -zxf '$DIR'/'$BCKP' -C '$DIR')'
cd $DIR
tar -zcf $BCKP voms-clients/etc/certificates/ >& /dev/null
rm -rf $DIR/voms-clients/etc/certificates
mkdir $DIR/voms-clients/etc/certificates

foreach a (`ls -1 $DIR/*.tar.gz`) 
  echo 'Extracting new certificates...'
  tar -zxf $a -C $DIR/voms-clients/etc/certificates
end

rm $DIR/*.tar.gz
echo 'Done!'
